<?php
	!defined('IN_MANAGE') && exit('Access Denied!');
	$action=empty($action)?'index':trim($action);

	switch($action)
	{
		case 'index':
			$systemmodule=$moduleobj->sysmodule();
			$usermodule=$moduleobj->usermodule();
			$usermodule1=array_slice($usermodule,0,floor($_SESSION['w']/90));
			$usermodule2=array_slice($usermodule,floor($_SESSION['w']/90));
			
			if(!$LA['auto_uc'])
			{
				$versionfile=@file_get_contents('http://www.sihongren.com/shrcms-version.txt');
				$versionfile=explode("|",$versionfile);
				if($versionfile[sizeof($versionfile)-1]>LA_RELEASE)
				{
					$uc_version=$versionfile[sizeof($versionfile)-1];
				}
				else
				{
					$uc_version=0;
				}
			}
			include admin_tlp('index');
			break;
		case 'leftmenu':
			exit($moduleobj->adminmenu(intval($moduleid)));
			break;
	}
?>